跳到主内容

GET /v1/xiaohongshu/comment/note_comment_v2

小红书笔记评论 API (V2)

stable · 16 credits / 次(成功才计)

使用游标分页和普通、最新或点赞数排序,获取小红书(RedNote)笔记的评论。用于支持反馈审查、讨论分析和评论管理工作流。

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl
curl -s 'https://api.wellbyte.net/v1/xiaohongshu/comment/note_comment_v2?sort=latest&noteId=demo&lastCursor=demo' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-09-23

data{
code:0
data{
cursor:
"{"contextId":"8574e92a854a4f75a32472857ec39570","cursor":"65c2fb0e000000000803c6..."
user_id:"61e0f15300000000210253a5"
comments[ 2 items ]
has_more:true
page_context:
"{"exposed_l1_ids":"65bf56d3000000000803f4ec,65c3402d000000001100b4c5,65bf71a4000..."
comment_count:933
comment_count_l1:792
all_sort_strategies[ 0 items ]
current_sort_strategy:"default"
}
meta{
endpoint:"xiaohongshu.comment.note_comment_v2"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    sortstringquery否结果集的排序策略。 可用值: - `normal`:普通 - `latest`:最新 - `like_count`:点赞数latest
    noteIdstringquery是一个小红书笔记ID或包含 /explore/ 的探索URL。demo
    lastCursorstringquery否上一页的分页游标(使用上一次响应返回的游标值)。demo

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误否
    40102401API Key 无效或已吊销否
    40201402余额不足,请充值否
    40402404目标资源不存在否
    42201422质量门槛未通过否
    42901429超出速率限制否
    50401504上游超时否
    50201502上游返回异常否

    计费

    成功扣 16 credits;任何失败(含返回 200 但未过质量门槛)扣 0。

    全部小红书端点 →

    搜索

    搜索端点与文档